#!/bin/sh

THRESHOLD=80

accounts=$(whmapi1 --output=jsonpretty listaccts | jq -r '.data.acct[] | .user' | sort)

whmapi1 --output=jsonpretty showbw > /root/bw_limit.txt

echo ''

printf "%-20s %-20s \n" "Account" "BW_Usage"

printf "%-20s %-20s \n" "-------------------" "-------------------"

for account in $accounts; do

  if [ "$account" == "phpchk" ]; then
      continue
  fi

  bw_limit=`cat /root/bw_limit.txt | jq --arg account $account '.data.acct[] | select(.user == $account) | .limit'`
  bw_limit=$(echo $bw_limit | sed 's/\"//g')

  if [ "$bw_limit" == "0" ] || [ "$bw_limit" == "unlimited" ] || [ "$bw_limit" == "null" ] || [ -z "$bw_limit" ]; then
      continue
  fi

  bw_used=`cat /root/bw_limit.txt | jq --arg account $account '.data.acct[] | select(.user == $account) | .totalbytes'`

  percent=$(awk "BEGIN {printf \"%.2f\", ($bw_used/$bw_limit)*100}")
  #echo $percent

  if (( $(echo "$percent > $THRESHOLD" | bc -l) )); then
     #echo "Account: $account, BW_Usage: $percent%"
     printf "%-20s %-20s \n" "$account" "$percent %"
  fi

done

echo ''

rm -f /root/bw_limit.txt
